Bug 184591 - Got a SIGSEGV
Got a SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 20:38 EST by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 07:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-03-09 20:38:38 EST
Description of problem:   
   
Got a SIGSEGV in beagle-search   
   
Version-Release number of selected component (if applicable):   
 beagle-0.2.2-3  
Stacktrace: 
 
in (wrapper managed-to-native) 
Gnome.ThumbnailFactory:gnome_thumbnail_factory_ge                                                   
nerate_thumbnail (intptr,intptr,intptr) <0xe> 
in (wrapper managed-to-native) 
Gnome.ThumbnailFactory:gnome_thumbnail_factory_ge                                                   
nerate_thumbnail (intptr,intptr,intptr) <0xffffffffffffff6d> 
in Gnome.ThumbnailFactory:GenerateThumbnail (string,string) <0x6d> 
in Search.Tiles.ThumbnailFactory:GenerateThumbnails () 
(at /usr/src/build/719829                                                   
-x86_64/BUILD/beagle-0.2.2/search/Tiles/ThumbnailFactory.cs:130) 
in (wrapper delegate-invoke) System.MulticastDelegate:invoke_void () 
<0xffffffff                                                   ff34e6b6> 
in (wrapper runtime-invoke) System.Object:runtime_invoke_void 
(object,intptr,int                                                   
ptr,intptr) <0xffffffffc0201cba> 
 
Native stacktrace: 
 
        mono(mono_handle_native_sigsegv+0x8d) [0x4f17fd] 
        mono [0x4bf248] 
        /lib64/libpthread.so.0 [0x2ab81036cf40] 
        /usr/lib64/libglib-2.0.so.0(g_str_hash+0) [0x2ab8100f6600] 
        /usr/lib64/libglib-2.0.so.0(g_hash_table_lookup+0x1d) [0x2ab8100d18ad] 
        /usr/lib64/libgnomeui-2.so.0
(gnome_thumbnail_factory_generate_thumbnail+                                                   
0x46) [0x33b0255536] 
        [0x4110c3e4] 
   
How reproducible:   
 don't know  
   
Steps to Reproduce:   
1.   
2.   
3.   
     
Actual results:   
   
   
Expected results:   
   
   
Additional info:
Comment 1 Simon Goodall 2006-03-30 15:52:20 EST
I'm getting a similar problem running beagle-search. The last normal message was
that totem-video-thumbnailer was attempting to create a thumbnail of my firefox
junk filter file, training.dat. This was followed by a crash and then every time
I repeat the search it crashes almost immediately. Manually running
totem-video-thumbnailer on that file just said that it was unknown format, so
this may be unrelated.

I'm using a 32-bit machine.
Comment 2 Alexander Larsson 2006-06-21 05:37:10 EDT
Are you still seeing this with the latest updates?
Comment 3 Alexander Larsson 2006-08-14 07:17:43 EDT
No comment. Hopefully fixed in rawhide. If this is still happening in
FC6/rawhide, please reopen

Note You need to log in before you can comment on or make changes to this bug.